#!/bin/sh
 
# GSXBoot.sh
# (c) 2003 Dennis Leeuw
# License: GPL version 2 or any newer version
# 
# If GNUstep is not installed in the default place (/usr/GNUstep)
# set this variable to the GNUstep Makefile directory
# e.g. /usr/GNUstep/System/Makefiles
GNUSTEP_MAKEFILES="%%LOCALBASE%%/GNUstep/System/Makefiles"
# Make sure GNUSTEP_MAKEFILES is set to something
if [ "x$GNUSTEP_MAKEFILES" = "x" ]; then
        if [ -d /usr/GNUstep/System/Makefiles ]; then
	                GNUSTEP_MAKEFILES="/usr/GNUstep/System/Makefiles"
        else
	                echo "GNUstep is not installed"
	                exit 1
        fi
fi
# Make sure GNUSTEP_MAKEFILES contains GNUstep.sh
# And source if available
if [ -x $GNUSTEP_MAKEFILES/GNUstep.sh ]; then
        . $GNUSTEP_MAKEFILES/GNUstep.sh
else
        echo "GNUstep.sh not found in $GNUSTEP_MAKEFILES"
        exit 1
fi
#See if we are flattened
if [ "x$GNUSTEP_FLATTENED" = "xyes" ]; then
        TOOLS_DIR=$GNUSTEP_SYSTEM_ROOT/Tools
else
	        TOOLS_DIR=$GNUSTEP_SYSTEM_ROOT/Tools/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS
fi
# Start the services
if [ -x $TOOLS_DIR/gpbs ]; then
        $TOOLS_DIR/gpbs
fi
